## qtsystems-opensource-src 5.0~git20181230.e3332ee3

=== tests/auto/cmake/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)

project(qmake_cmake_files)

enable_testing()

find_package(Qt5Core REQUIRED)

include("${_Qt5CTestMacros}")

expect_pass(test_modules)

=== tests/auto/cmake/test_modules/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)

project(test_modules)

find_package(Qt5Gui REQUIRED)
find_package(Qt5Network REQUIRED)

find_package(Qt5PublishSubscribe REQUIRED)
find_package(Qt5ServiceFramework REQUIRED)
find_package(Qt5SystemInfo REQUIRED)

include_directories(
  ${Qt5PublishSubscribe_INCLUDE_DIRS}
  ${Qt5ServiceFramework_INCLUDE_DIRS}
  ${Qt5SystemInfo_INCLUDE_DIRS}
)

add_definitions(
  ${Qt5PublishSubscribe_DEFINITIONS}
  ${Qt5ServiceFramework_DEFINITIONS}
  ${Qt5SystemInfo_DEFINITIONS}
)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Core_EXECUTABLE_COMPILE_FLAGS}")

add_executable(mainapp main.cpp)
target_link_libraries(mainapp
  ${Qt5PublishSubscribe_LIBRARIES}
  ${Qt5ServiceFramework_LIBRARIES}
  ${Qt5SystemInfo_LIBRARIES}
)

## qtsystems-opensource-src 5.0~git20130712

=== debian/changelog ===
qtsystems-opensource-src (5.0~git20130712-0ubuntu6) utopic; urgency=medium

  * Clean up debian/patches/series and debian/rules of obsolete lines
  * Bump build dependencies to 5.3.0
  * Clean old pre-depends
  * Rename the QML modules to qml-module-xxx format and add transitional 
    packages. (LP: #1342031)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 15 Jul 2014 09:21:57 +0000

qtsystems-opensource-src (5.0~git20130712-0ubuntu5) utopic; urgency=medium

  * Rebuild against Qt 5.3.0
  * Move include files to multi-arch dir
  * Export QT_SELECT instead of depending on qt5-default
  * Add fix_qserviceinterfacedescriptor_unit_test.patch:
    - Cherry-pick a fix for an unit test from upstream

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 26 May 2014 07:37:59 +0000

qtsystems-opensource-src (5.0~git20130712-0ubuntu4) trusty; urgency=medium

  [ Omer Akram ]
  * Run unittests during build, disable failing tests

  [ Timo Jyrinki ]
  * Adjust qtsystems5-dev.install for building against 5.2
  * Bump dependencies to 5.2.1
  * Add .git to trigger headers creation

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 28 Feb 2014 11:12:58 +0000

qtsystems-opensource-src (5.0~git20130712-0ubuntu3) saucy; urgency=low

  * debian/patches/wlan_detect.patch
    - Fix WLAN detection (LP: #1231196)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 30 Sep 2013 09:03:02 +0300

qtsystems-opensource-src (5.0~git20130712-0ubuntu2) saucy; urgency=low

  * debian/rules:
    - build with upower and udisks as well
  * debian/patches/build_with_udisk.patch:
    - small patch to make building with udisk work

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 09 Aug 2013 10:39:01 +0200

qtsystems-opensource-src (5.0~git20130712-0ubuntu1) saucy; urgency=low

  * Configure with CONFIG+=ofono (LP: #1199185)
  * New upstream snapshot fa61ba41b962aa66bf6dc62ce62ce0734063abf9.
    - Fixes oFono segfault (LP: #1199813)
    - Remove some of the examples that aren't installed anymore
  * Add Vcs-Bzr

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 12 Jul 2013 13:41:02 +0300

qtsystems-opensource-src (5.0~git20130614-0ubuntu1) saucy; urgency=low

  * Initial release (LP: #1190896)
  * debian/patches/revert_module_version.patch:
    - Set upstream version number to 5.0.0 instead of 0.0.0 for now.
  * debian/patches/add_license_files.patch:
    - Include license files not yet in upstream (submitted for inclusion)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 14 Jun 2013 10:32:13 +0300

=== debian/control ===
Source: qtsystems-opensource-src
Section: libs
Priority: optional
Maintainer: Timo Jyrinki <timo-jyrinki@ubuntu.com>
Build-Depends: debhelper (>= 9),
               libqt5sql5-sqlite (>= 5.3.0~),
               pkg-kde-tools,
               qtbase5-private-dev (>= 5.3.0~),
               qtdeclarative5-private-dev (>= 5.3.0~),
Standards-Version: 3.9.4
Homepage: http://qt-project.org/
Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtsystems.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qtsystems.git;a=summary
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtsystems-opensource-src

Package: libqt5serviceframework5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Qt Systems module - service framework
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Service Framework part of the Qt Systems module.
 .
 WARNING: This module is not an official part of Qt 5, but instead a git
 snapshot of an ongoing development. The package is very likely to
 change in a binary incompatible way, and no guarantees are given.

Package: qtdeclarative5-serviceframework-plugin
Architecture: any
Multi-Arch: same
Section: oldlibs
Depends: qml-module-qtserviceframework, ${misc:Depends}
Description: transitional dummy package for Qt 5 Service Framework QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This is a transitional dummy package for qml-module-serviceframework
 which can be safely removed.

Package: qml-module-qtserviceframework
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt5serviceframework5,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: qtdeclarative5-serviceframework-plugin (<< 5.0~git20130712-0ubuntu6~)
Replaces: qtdeclarative5-serviceframework-plugin (<< 5.0~git20130712-0ubuntu6~)
Description: Qt 5 Service Framework QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Service Framework QML module for Qt Declarative.
 .
 WARNING: This module is not an official part of Qt 5, but instead a git
 snapshot of an ongoing development. The package is very likely to
 change in a binary incompatible way, and no guarantees are given.

Package: libqt5publishsubscribe5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Qt Systems module - publish subscribe
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Publish Subscribe part of the Qt Systems module.
 .
 WARNING: This module is not an official part of Qt 5, but instead a git
 snapshot of an ongoing development. The package is very likely to
 change in a binary incompatible way, and no guarantees are given.

Package: qtdeclarative5-publishsubscribe-plugin
Architecture: any
Multi-Arch: same
Section: oldlibs
Depends: qml-module-qtpublishsubscribe, ${misc:Depends}
Description: transitional dummy package for Qt 5 Publish Subscribe QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This is a transitional dummy package for qml-module-publishsubscribe
 which can be safely removed.

Package: qml-module-qtpublishsubscribe
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt5publishsubscribe5,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: qtdeclarative5-publishsubscribe-plugin (<< 5.0~git20130712-0ubuntu6~)
Replaces: qtdeclarative5-publishsubscribe-plugin (<< 5.0~git20130712-0ubuntu6~)
Description: Qt 5 Publish Subscribe QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Publish Subscribe QML module for Qt Declarative.
 .
 WARNING: This module is not an official part of Qt 5, but instead a git
 snapshot of an ongoing development. The package is very likely to
 change in a binary incompatible way, and no guarantees are given.

Package: libqt5systeminfo5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Qt Systems module - system info
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the System Info part of the Qt Systems module.
 .
 WARNING: This module is not an official part of Qt 5, but instead a git
 snapshot of an ongoing development. The package is very likely to
 change in a binary incompatible way, and no guarantees are given.

Package: qtdeclarative5-systeminfo-plugin
Architecture: any
Multi-Arch: same
Section: oldlibs
Depends: qml-module-qtsysteminfo, ${misc:Depends}
Description: transitional dummy package for Qt 5 System Info QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This is a transitional dummy package for qml-module-systeminfo
 which can be safely removed.

Package: qml-module-qtsysteminfo
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt5systeminfo5,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: qtdeclarative5-systeminfo-plugin (<< 5.0~git20130712-0ubuntu6~)
Replaces: qtdeclarative5-systeminfo-plugin (<< 5.0~git20130712-0ubuntu6~)
Description: Qt 5 System Info QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt System Info QML module for Qt Declarative.
 .
 WARNING: This module is not an official part of Qt 5, but instead a git
 snapshot of an ongoing development. The package is very likely to
 change in a binary incompatible way, and no guarantees are given.

Package: qtsystems5-dev
Section: libdevel
Architecture: any
Depends: libqt5publishsubscribe5 (= ${binary:Version}),
         libqt5serviceframework5 (= ${binary:Version}),
         libqt5systeminfo5 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends},
Description: Qt 5 Systems development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 5
 applications using Qt Systems libraries.
 .
 WARNING: This module is not an official part of Qt 5, but instead a git
 snapshot of an ongoing development. The package is very likely to
 change in a binary incompatible way, and no guarantees are given.

Package: qtsystems5-private-dev
Architecture: any
Section: libdevel
Depends: qtsystems5-dev (= ${binary:Version}),
         ${misc:Depends},
Description: Qt 5 Systems private development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the private header development files for building some
 Qt 5 applications using systems private headers.
 .
 Use at your own risk.
 .
 WARNING: This module is not an official part of Qt 5, but instead a git
 snapshot of an ongoing development. The package is very likely to
 change in a binary incompatible way, and no guarantees are given.

Package: qtsystems5-tools
Architecture: any
Section: libdevel
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt5publishsubscribe5 (= ${binary:Version}),
         libqt5serviceframework5 (= ${binary:Version}),
         libqt5systeminfo5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 5 Systems tools
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the sfwlisten and servicefw tools for Qt 5
 Systems module.
 .
 WARNING: This module is not an official part of Qt 5, but instead a git
 snapshot of an ongoing development. The package is very likely to
 change in a binary incompatible way, and no guarantees are given.

Package: qtsystems5-examples
Architecture: any
Section: libdevel
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 5 Systems examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for Qt 5 Systems.
 .
 WARNING: This module is not an official part of Qt 5, but instead a git
 snapshot of an ongoing development. The package is very likely to
 change in a binary incompatible way, and no guarantees are given.

Package: qtsystems5-dbg
Priority: extra
Architecture: any
Section: debug
Depends: libqt5publishsubscribe5 (= ${binary:Version}),
         libqt5serviceframework5 (= ${binary:Version}),
         libqt5systeminfo5 (= ${binary:Version}),
         ${misc:Depends},
Suggests: qtsystems5-examples (= ${binary:Version}),
Description: Qt Systems library debugging symbols
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the debugging symbols for the Qt 5 Systems
 libraries.
 .
 WARNING: This module is not an official part of Qt 5, but instead a git
 snapshot of an ongoing development. The package is very likely to
 change in a binary incompatible way, and no guarantees are given.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
export QT_SELECT := qt5

%:
	dh $@ --parallel --with pkgkde_symbolshelper --dbg-package=qtsystems5-dbg

override_dh_auto_configure:
	mkdir .git
	qmake "CONFIG+=ofono upower udisks"

override_dh_auto_install:
	dh_auto_install

	# Fix wrong path in pkgconfig files
	find $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig -type f -name '*.pc' \
	-exec sed -i -e 's/$(DEB_HOST_MULTIARCH)\/$(DEB_HOST_MULTIARCH)/$(DEB_HOST_MULTIARCH)/g' {} \;

	# Fix wrong permissions in examples.
	find $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/examples/ -type f \( \
	-name '*.png' \
	-o -name '*.php' \
	-o -name '*.xsl' \
	-o -name '*.xml' \
	-o -name '*.js' \
	-o -name '*.jpg' \
	\) -print0 | xargs -0 chmod a-x

	# Remove libtool-like files
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/examples/examples.pro

override_dh_install:
	dh_install --fail-missing

override_dh_auto_test:
	export LD_LIBRARY_PATH=$(CURDIR)/lib
	cd tests/auto/ && ( test -e Makefile || qmake auto.pro -o Makefile ) && make -f Makefile check

## qtsystems-opensource-src 5.0~git20141206~44f70d99

=== debian/changelog ===
qtsystems-opensource-src (5.0~git20141206~44f70d99-0ubuntu8) xenial; urgency=medium

  * skip_failing_tests.patch: Re-enable two tests.
  * debian/rules: use dbus-run-session to run the tests.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 08 Mar 2016 12:48:22 +0000

qtsystems-opensource-src (5.0~git20141206~44f70d99-0ubuntu7) xenial; urgency=medium

  * debian/patches/WIP-Add-QInputDeviceInfo.patch:
    - Cherry-pick WIP patch (patch set 20) from upstream to base our work on.
      (LP: #1525879)
  * Add libevdev-dev, libudev-dev, pkg-config, udev build dependencies.
  * Update *.install

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 22 Feb 2016 12:14:49 +0000

qtsystems-opensource-src (5.0~git20141206~44f70d99-0ubuntu6) xenial; urgency=medium

  * Rebuild against Qt 5.5.1.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 30 Nov 2015 12:34:24 +0000

qtsystems-opensource-src (5.0~git20141206~44f70d99-0ubuntu5) wily; urgency=medium

  * Rebuild for GCC5 transition.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 14 Jul 2015 15:00:09 +0300

qtsystems-opensource-src (5.0~git20141206~44f70d99-0ubuntu4) wily; urgency=medium

  [ Michael Zanetti ]
  * debian/patches/unity-screen.diff:
    - Allow apps to keep the screen on (LP: #1462489)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 06 Jul 2015 09:02:12 +0000

qtsystems-opensource-src (5.0~git20141206~44f70d99-0ubuntu3) wily; urgency=medium

  * No-change rebuild against Qt 5.4.2

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 11 Jun 2015 13:54:06 +0000

qtsystems-opensource-src (5.0~git20141206~44f70d99-0ubuntu2) vivid; urgency=medium

  * Rebuild against Qt 5.4.1

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 11 Mar 2015 06:14:10 +0000

qtsystems-opensource-src (5.0~git20141206~44f70d99-0ubuntu1) vivid; urgency=medium

  [ Timo Jyrinki ]
  * Rebuild against Qt 5.4.0

  [ Dmitry Shachnev ]
  * New upstream snapshot.
  * Drop all patches that have been applied upstream.
  * Update install files.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 13 Feb 2015 06:45:19 +0000

qtsystems-opensource-src (5.0~git20130712-0ubuntu7) vivid; urgency=medium

  * Rebuild against Qt 5.3.2

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 28 Oct 2014 07:06:50 +0000

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,16 @@
 Section: libs
 Priority: optional
 Maintainer: Timo Jyrinki <timo-jyrinki@ubuntu.com>
-Build-Depends: debhelper (>= 9),
-               libqt5sql5-sqlite (>= 5.3.0~),
+Build-Depends: dbus,
+               debhelper (>= 9),
+               libevdev-dev,
+               libqt5sql5-sqlite (>= 5.5.1~),
+               libudev-dev,
+               pkg-config,
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.3.0~),
-               qtdeclarative5-private-dev (>= 5.3.0~),
+               qtbase5-private-dev (>= 5.5.1~),
+               qtdeclarative5-private-dev (>= 5.5.1~),
+               udev,
 Standards-Version: 3.9.4
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtsystems.git

=== debian/rules ===
--- 
+++ 
@@ -22,16 +22,6 @@
 	find $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig -type f -name '*.pc' \
 	-exec sed -i -e 's/$(DEB_HOST_MULTIARCH)\/$(DEB_HOST_MULTIARCH)/$(DEB_HOST_MULTIARCH)/g' {} \;
 
-	# Fix wrong permissions in examples.
-	find $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/examples/ -type f \( \
-	-name '*.png' \
-	-o -name '*.php' \
-	-o -name '*.xsl' \
-	-o -name '*.xml' \
-	-o -name '*.js' \
-	-o -name '*.jpg' \
-	\) -print0 | xargs -0 chmod a-x
-
 	# Remove libtool-like files
 	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
 	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/examples/examples.pro
@@ -41,4 +31,4 @@
 
 override_dh_auto_test:
 	export LD_LIBRARY_PATH=$(CURDIR)/lib
-	cd tests/auto/ && ( test -e Makefile || qmake auto.pro -o Makefile ) && make -f Makefile check
+	cd tests/auto/ && ( test -e Makefile || qmake auto.pro -o Makefile ) && dbus-run-session make -f Makefile check

## qtsystems-opensource-src 5.0~git20181230.e3332ee3

=== debian/changelog ===
qtsystems-opensource-src (5.0~git20181230.e3332ee3-4ubuntu5) jammy; urgency=medium

  * No-change rebuild against Qt 5.15.3.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 28 Mar 2022 12:16:34 +0300

qtsystems-opensource-src (5.0~git20181230.e3332ee3-4ubuntu4) hirsute; urgency=medium

  * No-change rebuild against qtbase-abi-5-15-2.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 27 Nov 2020 20:38:34 +0300

qtsystems-opensource-src (5.0~git20181230.e3332ee3-4ubuntu3) hirsute; urgency=medium

  * No-change rebuild against qtbase-abi-5-15-1.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 30 Oct 2020 14:04:38 +0300

qtsystems-opensource-src (5.0~git20181230.e3332ee3-4ubuntu2) groovy; urgency=medium

  * Disable buildtime tests.

 -- Rik Mills <rikmills@kde.org>  Wed, 20 May 2020 19:29:46 +0100

qtsystems-opensource-src (5.0~git20181230.e3332ee3-4ubuntu1) groovy; urgency=medium

  * For now let build time tests be non fatal.

 -- Rik Mills <rikmills@kde.org>  Wed, 20 May 2020 10:01:49 +0100

qtsystems-opensource-src (5.0~git20181230.e3332ee3-4build1) groovy; urgency=medium

  * No-change rebuild against qtbase-abi-5-14-2.

 -- Rik Mills <rikmills@kde.org>  Tue, 19 May 2020 17:37:40 +0100

qtsystems-opensource-src (5.0~git20181230.e3332ee3-4) unstable; urgency=medium

  * Team upload.
  * Apparently there are issues when running the tests in parallel, so
    re-introduce a debian/run-tests.sh script, albeit that simply calls
    dh_auto_test --no-parallel now. This is needed because dbus-test-runner
    does not support passing parameters to the task. Thanks Mike Gabriel for
    the notice (and grr to dbus-test-runner for the limitation).
  * Bump the dbus-test-runner timeout from 300 seconds to to 600 seconds,
    which should be enough for more tests in a sequential way.
  * Simplify the "export && export ... && command" chain to use env instead.
  * Update the symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Tue, 21 Apr 2020 13:54:26 +0200

qtsystems-opensource-src (5.0~git20181230.e3332ee3-3) unstable; urgency=medium

  * Team upload.
  * Restrict the libbluetooth-dev, and libevdev-dev build dependencies as
    linux-any, as they exist only on Linux.
  * Remove few hardcoded library dependencies, in case they are unversioned
    (they will get a proper version via symbols).
  * Move bits of private development files from qtsystems5-dev to
    qtsystems5-private-dev, where they belong
    - add proper breaks/replaces
  * Enable the udisks config only on Linux, as udisks exists only on Linux.
  * Update the symbols files from the logs of buildds.
  * Pass QT_BUILD_PARTS+=tests to qmake to directly build the tests.
  * Simplify the execution of tests:
    - do not build the tests again, since they are built already
    - call directly dh_auto_test instead of run-tests.sh, as all the script
      does is to wrap 'make check'
    - drop debian/run-tests.sh, no more needed now
  * Do not manually remove files under debian/tmp in the dh_clean override,
    as that will be done by dh_clean.

 -- Pino Toscano <pino@debian.org>  Tue, 21 Apr 2020 10:43:28 +0200

qtsystems-opensource-src (5.0~git20181230.e3332ee3-2) unstable; urgency=medium

  * debian/control:
    + Disable B-D on libmirclient-dev until it's available in Debian.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 20 Apr 2020 14:26:22 +0200

qtsystems-opensource-src (5.0~git20181230.e3332ee3-1) unstable; urgency=medium

  [ Timo Jyrinki ]
  * Initial release. (Closes: #953959).
  * debian/patches/build_with_udisk.patch:
    - Build with udisks support.
  * debian/patches/skip_failing_tests.patch:
    - Skip failing unit tests to allow the rest to be run during build.

  [ Mike Gabriel ]
  * debian/control:
    + Add B-D: libmirclient-dev.
  * debian/patches:
    + Rename patches, following a certain patch naming scheme, see
      debian/patches/README.
    + Add / update patch headers.
  * debian/patches: Add 1003_typo-fixes.patch.
  * debian/{control,compat}:
    + Switch to debhelper-compat notation. Bump DH compat level to version 12.
  * debian/{control,rules}:
    + Drop qtsystems5-dbg dbg:pkg.
  * debian/*.install:
    + Update file lists to be installed.
  * debian/rules:
    + Run tests inside a dbus-test-runner task.
    + Move --fail-missing into dh_missing override.
    + Add get-orig-source target facilitating Git snapshooting.
    + Drop 'mkdir .git'. The .git folder triggers running syncqt.pl (which
      we implemented in get-orig-source target manually, instead).
    + Use rm with wildcards, not with DEB_ variables.
    + Include architecture.mk.
    + Drop minified jquery.js files from upstream files.
    + Honour DEB_BUILD_OPTIONS in dh_auto_test override.
    + Drop now default --parallel flag from DH call.
    + Don't call qmake directly.
    + Set all hardening build flags.
  * debian/control:
    + Add B-D: dbus-test-runner.
    + Update Vcs-*: fields. Packaging now takes place on salsa.debian.org.
    + Bump Standards-Version: to 4.5.0. No changes needed.
    + Add myself to Uploaders: field.
    + Update Homepage: URL (now with https).
    + Add Rules-Requires-Root: field and set it to 'no'.
    + Add further B-Ds: qtbase5-dev, libbluetooth-dev, libevdev-dev, libx11-dev
      (to enable further build features).
    + Add Debian UBports Team to Uploaders: field.
  * debian/copyright:
    + Update Source: field.
    + Use secure URL in Format: field.
    + Rewrite copyright file. Detailed style.
    + Add auto-generated copyright.in template file.
  * debian/*.symbols:
    + Add .symbols files.
  * debian/qtsystems5-examples.lintian-overrides:
    + Drop file. Not needed.
  * debian/watch:
    + Add file, pointing to the location where we may some time find release
      tarballs of qtsystems.
  * debian/upstream/metadata:
    + Add file. Comply with DEP-12.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 15 Mar 2020 08:02:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,26 @@
 Source: qtsystems-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Timo Jyrinki <timo-jyrinki@ubuntu.com>
-Build-Depends: dbus,
-               debhelper (>= 9),
-               libevdev-dev,
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Debian UBports Team <team+ubports@tracker.debian.org>,
+           Timo Jyrinki <timo@debian.org>,
+           Mike Gabriel <sunweaver@debian.org>,
+Build-Depends: debhelper-compat (= 12),
+               dbus-test-runner,
+#               libmirclient-dev,
                libqt5sql5-sqlite (>= 5.5.1~),
-               libudev-dev,
-               pkg-config,
                pkg-kde-tools,
+               qtbase5-dev (>= 5.5.1~),
                qtbase5-private-dev (>= 5.5.1~),
                qtdeclarative5-private-dev (>= 5.5.1~),
-               udev,
-Standards-Version: 3.9.4
-Homepage: http://qt-project.org/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtsystems.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qtsystems.git;a=summary
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtsystems-opensource-src
+               libbluetooth-dev [linux-any],
+               libevdev-dev [linux-any],
+               libx11-dev,
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://www.qt.io/developers
+Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtsystems.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtsystems/
 
 Package: libqt5serviceframework5
 Architecture: any
@@ -34,27 +38,12 @@
  snapshot of an ongoing development. The package is very likely to
  change in a binary incompatible way, and no guarantees are given.
 
-Package: qtdeclarative5-serviceframework-plugin
-Architecture: any
-Multi-Arch: same
-Section: oldlibs
-Depends: qml-module-qtserviceframework, ${misc:Depends}
-Description: transitional dummy package for Qt 5 Service Framework QML module
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This is a transitional dummy package for qml-module-serviceframework
- which can be safely removed.
-
 Package: qml-module-qtserviceframework
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: libqt5serviceframework5,
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${shlibs:Depends},
-Breaks: qtdeclarative5-serviceframework-plugin (<< 5.0~git20130712-0ubuntu6~)
-Replaces: qtdeclarative5-serviceframework-plugin (<< 5.0~git20130712-0ubuntu6~)
 Description: Qt 5 Service Framework QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -81,27 +70,12 @@
  snapshot of an ongoing development. The package is very likely to
  change in a binary incompatible way, and no guarantees are given.
 
-Package: qtdeclarative5-publishsubscribe-plugin
-Architecture: any
-Multi-Arch: same
-Section: oldlibs
-Depends: qml-module-qtpublishsubscribe, ${misc:Depends}
-Description: transitional dummy package for Qt 5 Publish Subscribe QML module
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This is a transitional dummy package for qml-module-publishsubscribe
- which can be safely removed.
-
 Package: qml-module-qtpublishsubscribe
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: libqt5publishsubscribe5,
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${shlibs:Depends},
-Breaks: qtdeclarative5-publishsubscribe-plugin (<< 5.0~git20130712-0ubuntu6~)
-Replaces: qtdeclarative5-publishsubscribe-plugin (<< 5.0~git20130712-0ubuntu6~)
 Description: Qt 5 Publish Subscribe QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -128,27 +102,12 @@
  snapshot of an ongoing development. The package is very likely to
  change in a binary incompatible way, and no guarantees are given.
 
-Package: qtdeclarative5-systeminfo-plugin
-Architecture: any
-Multi-Arch: same
-Section: oldlibs
-Depends: qml-module-qtsysteminfo, ${misc:Depends}
-Description: transitional dummy package for Qt 5 System Info QML module
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This is a transitional dummy package for qml-module-systeminfo
- which can be safely removed.
-
 Package: qml-module-qtsysteminfo
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: libqt5systeminfo5,
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${shlibs:Depends},
-Breaks: qtdeclarative5-systeminfo-plugin (<< 5.0~git20130712-0ubuntu6~)
-Replaces: qtdeclarative5-systeminfo-plugin (<< 5.0~git20130712-0ubuntu6~)
 Description: Qt 5 System Info QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -183,6 +142,8 @@
 Section: libdevel
 Depends: qtsystems5-dev (= ${binary:Version}),
          ${misc:Depends},
+Breaks: qtsystems5-dev (<< 5.0~git20181230.e3332ee3-3~)
+Replaces: qtsystems5-dev (<< 5.0~git20181230.e3332ee3-3~)
 Description: Qt 5 Systems private development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -231,23 +192,3 @@
  WARNING: This module is not an official part of Qt 5, but instead a git
  snapshot of an ongoing development. The package is very likely to
  change in a binary incompatible way, and no guarantees are given.
-
-Package: qtsystems5-dbg
-Priority: extra
-Architecture: any
-Section: debug
-Depends: libqt5publishsubscribe5 (= ${binary:Version}),
-         libqt5serviceframework5 (= ${binary:Version}),
-         libqt5systeminfo5 (= ${binary:Version}),
-         ${misc:Depends},
-Suggests: qtsystems5-examples (= ${binary:Version}),
-Description: Qt Systems library debugging symbols
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains the debugging symbols for the Qt 5 Systems
- libraries.
- .
- WARNING: This module is not an official part of Qt 5, but instead a git
- snapshot of an ongoing development. The package is very likely to
- change in a binary incompatible way, and no guarantees are given.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

NULL =

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export QT_SELECT := qt5

include /usr/share/dpkg/architecture.mk

CONFIG = tests ofono upower
ifeq ($(DEB_HOST_ARCH_OS),linux)
	CONFIG += udisks
endif

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- CONFIG+="$(CONFIG)" QT_BUILD_PARTS+=tests

override_dh_auto_install:
	dh_auto_install

	# Fix wrong path in pkgconfig files
	find $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig -type f -name '*.pc' \
	-exec sed -i -e 's/$(DEB_HOST_MULTIARCH)\/$(DEB_HOST_MULTIARCH)/$(DEB_HOST_MULTIARCH)/g' {} \;

	# Remove libtool-like files
	rm -f debian/tmp/usr/lib/*/*.la

	# Remove superfluous qmake .pro file
	rm -f debian/tmp/usr/lib/*/qt5/examples/examples.pro

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_test:
	# Disable auto tests at build time
	:

override_dh_clean:
	rm -Rfv $(CURDIR)/debian/test-home/
	dh_clean

include /usr/share/dpkg/pkg-info.mk

PKD   = $(word 1,$(abspath $(dir $(MAKEFILE_LIST))))
PKG   = $(DEB_SOURCE)
UVER  = $(shell echo $(DEB_VERSION) | cut -d "-" -f1)
DTYPE =
VER  ?= $(subst $(DTYPE),,$(UVER))

UURL = https://code.qt.io/qt/qtsystems.git
UREV = $(shell echo $(VER) | cut -d"." -f3)

QT_MODULE_VERSION = $(shell cat .qmake.conf | grep MODULE_VERSION | sed -re 's/MODULE_VERSION\s*=\s*([^\s]+)\s*/\1/')

## http://wiki.debian.org/onlyjob/get-orig-source
.PHONY: get-orig-source
get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
	@

$(PKG)_$(VER)$(DTYPE).orig.tar.xz: $(info I: GIT Revision=$(UREV))
	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
	@echo "# Downloading..."
	git clone $(UURL) $(PKG)-$(VER) \
	    || $(RM) -r $(PKG)-$(VER)
	cd $(PKG)-$(VER) \
	    && git checkout "$(UREV)" \
	    && ( echo "# Generating ChangeLog..." \
	       ; git --no-pager log --format="%ai %aN (%h) %n%n%x09*%w(68,0,10) %s%n" > ChangeLog \
	       ; touch -d "$$(git log -1 --format='%ci')" ChangeLog) \
	    && echo "# Setting times..." \
	    && for F in $$(git ls-tree -r --name-only HEAD); do touch --no-dereference -d "$$(git log -1 --format="%ai" -- $$F)" "$$F"; done \
	    && echo "# Cleaning-up..." \
	    && $(RM) doc/config/*/scripts/jquery.js \
	    && $(RM) -r .git .git* \
	    $(NULL)
	@echo "# Running syncqt.pl (QT_MODULE_VERSION=$(QT_MODULE_VERSION))"
	cd $(PKG)-$(VER) \
	    && cd src/systeminfo/ && perl /usr/lib/qt5/bin/syncqt.pl -module QtSystemInfo -version $(QT_MODULE_VERSION) -outdir $(CURDIR)/$(PKG)-$(VER) -builddir $(CURDIR)/$(PKG)-$(VER) $(CURDIR)/$(PKG)-$(VER) && cd - 1>/dev/null \
	    && cd src/publishsubscribe/ && perl /usr/lib/qt5/bin/syncqt.pl -module QtPublishSubscribe -version $(QT_MODULE_VERSION) -outdir $(CURDIR)/$(PKG)-$(VER) -builddir $(CURDIR)/$(PKG)-$(VER) $(CURDIR)/$(PKG)-$(VER) && cd - 1>/dev/null \
	    && cd src/serviceframework/ && perl /usr/lib/qt5/bin/syncqt.pl -module QtServiceFramework -version $(QT_MODULE_VERSION) -outdir $(CURDIR)/$(PKG)-$(VER) -builddir $(CURDIR)/$(PKG)-$(VER) $(CURDIR)/$(PKG)-$(VER) && cd - 1>/dev/null \
	    $(NULL)
	@echo "# Packing..."
	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
	    | XZ_OPT="-6v" tar -caf "../$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
	    && $(RM) -r "$(PKG)-$(VER)" \
	    $(NULL)

## qtsystems-opensource-src 5.0~git20190103.e3332ee+dfsg1

=== debian/changelog ===
qtsystems-opensource-src (5.0~git20190103.e3332ee+dfsg1-5) unstable; urgency=medium

  * debian/control: 
    + Add udev/libudev as B-D

 -- Marius Gripsgard <marius@ubports.com>  Sat, 07 Jan 2023 21:02:19 +0100

qtsystems-opensource-src (5.0~git20190103.e3332ee+dfsg1-4) unstable; urgency=medium

  * Team upload.
  * Update 1004_mark-as-override.patch to add override keyword only to *.h,
    not to *.cpp (closes: #1016274).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 12 Aug 2022 13:26:26 +0300

qtsystems-opensource-src (5.0~git20190103.e3332ee+dfsg1-2) unstable; urgency=medium

  * debian/patches:
    + Add 1004_mark-as-override.patch. Fix FTBFS (with -Werror) in lomiri-ui-
      toolkit.
  * debian/control:
    + Bump Standards-Version: to 4.6.1. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 23 Jul 2022 23:16:57 +0200

qtsystems-opensource-src (5.0~git20190103.e3332ee+dfsg1-1) unstable; urgency=medium

  * Add +dfsg1 suffix to the upstream version as we remove jQuery files from the
    upstream code tree.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 25 Dec 2021 21:29:02 +0100

qtsystems-opensource-src (5.0~git20190103.e3332ee-2) unstable; urgency=medium

  * Re-upload merged changes. The previous upload did not contain changes
    of these two uploads: 5.0~git20181230.e3332ee3-3 and
    5.0~git20181230.e3332ee3-4.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 25 Dec 2021 19:15:20 +0100

qtsystems-opensource-src (5.0~git20190103.e3332ee-1) unstable; urgency=medium

  * This upload did not contain the previous two uploads
    (5.0~git20181230.e3332ee3-3, 5.0~git20181230.e3332ee3-4).

  * Re-generate same upstream orig tarball from upstream Git (this time with
    uscan).

  * debian/{rules,copyright,watch}:
    + Use uscan to obtain Git snapshot. Drop self-scripted (thanks to @onlyjob)
      get-orig-source target.
  * debian/copyright:
    + Update copyright attributions.
  * debian/rules:
    + Do dh_auto_install in --no-parallel mode. Build problems have been
      observed when running dh_auto_install parallelly.
  * debian/*.symbols:
    + Update .symbols files.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 25 Dec 2021 18:23:15 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
            Mike Gabriel <sunweaver@debian.org>,
 Build-Depends: debhelper-compat (= 12),
                dbus-test-runner,
-#               libmirclient-dev,
                libqt5sql5-sqlite (>= 5.5.1~),
                pkg-kde-tools,
                qtbase5-dev (>= 5.5.1~),
@@ -15,8 +14,10 @@
                qtdeclarative5-private-dev (>= 5.5.1~),
                libbluetooth-dev [linux-any],
                libevdev-dev [linux-any],
+               libudev-dev [linux-any],
+               udev [linux-any],
                libx11-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://www.qt.io/developers
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtsystems.git

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none,  pretty=5.0~git%cd.%h, dversionmangle=s/\+dfsg1//g" \
https://code.qt.io/qt/qtsystems.git \
HEAD

## qtsystems-opensource-src 5.0~git20230712.81e08ee+dfsg

=== debian/changelog ===
qtsystems-opensource-src (5.0~git20230712.81e08ee+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Remove Qt_5.x symbols from the symbols files (closes: #1113819).

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 03 Sep 2025 12:58:05 +0300

qtsystems-opensource-src (5.0~git20230712.81e08ee+dfsg-3) unstable; urgency=medium

  * debian/*.symbols:
    + Fix package names (appending t64) in header lines. (Closes: #1082246).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 22 Sep 2024 12:43:42 +0200

qtsystems-opensource-src (5.0~git20230712.81e08ee+dfsg-2) unstable; urgency=medium

  [ Guido Berhoerster ]
  * debian/patches:
    + Add 1005_check_XOpenDisplay.patch. Check the return value of XOpenDisplay
      and handle failure. This fixes crashes e.g. if Mir/Wayland is used and
      DISPLAY is not set.

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards-Version to 4.7.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 12 Aug 2024 02:58:00 +0200

qtsystems-opensource-src (5.0~git20230712.81e08ee+dfsg-1.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 22 Feb 2024 17:24:07 +1300

qtsystems-opensource-src (5.0~git20230712.81e08ee+dfsg-1) unstable; urgency=medium

  * New upstream Git snapshot.
  * debian/copyright:
    + Update copyright attribution for debian/.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
    + Replace udev by systemd-dev in B-D. (Closes: #1060526).
  * debian/watch:
    + Add repacksuffix option.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 Feb 2024 12:27:42 +0100

=== debian/control ===
--- 
+++ 
@@ -15,15 +15,18 @@
                libbluetooth-dev [linux-any],
                libevdev-dev [linux-any],
                libudev-dev [linux-any],
-               udev [linux-any],
+               systemd-dev [linux-any],
                libx11-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://www.qt.io/developers
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtsystems.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtsystems/
 
-Package: libqt5serviceframework5
+Package: libqt5serviceframework5t64
+Provides: ${t64:Provides}
+Replaces: libqt5serviceframework5
+Breaks: libqt5serviceframework5 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
@@ -55,7 +58,10 @@
  snapshot of an ongoing development. The package is very likely to
  change in a binary incompatible way, and no guarantees are given.
 
-Package: libqt5publishsubscribe5
+Package: libqt5publishsubscribe5t64
+Provides: ${t64:Provides}
+Replaces: libqt5publishsubscribe5
+Breaks: libqt5publishsubscribe5 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
@@ -87,7 +93,10 @@
  snapshot of an ongoing development. The package is very likely to
  change in a binary incompatible way, and no guarantees are given.
 
-Package: libqt5systeminfo5
+Package: libqt5systeminfo5t64
+Provides: ${t64:Provides}
+Replaces: libqt5systeminfo5
+Breaks: libqt5systeminfo5 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
@@ -122,9 +131,9 @@
 Package: qtsystems5-dev
 Section: libdevel
 Architecture: any
-Depends: libqt5publishsubscribe5 (= ${binary:Version}),
-         libqt5serviceframework5 (= ${binary:Version}),
-         libqt5systeminfo5 (= ${binary:Version}),
+Depends: libqt5publishsubscribe5t64 (= ${binary:Version}),
+         libqt5serviceframework5t64 (= ${binary:Version}),
+         libqt5systeminfo5t64 (= ${binary:Version}),
          qtbase5-dev,
          ${misc:Depends},
 Description: Qt 5 Systems development files
@@ -162,9 +171,9 @@
 Architecture: any
 Section: libdevel
 Pre-Depends: ${misc:Pre-Depends},
-Depends: libqt5publishsubscribe5 (= ${binary:Version}),
-         libqt5serviceframework5 (= ${binary:Version}),
-         libqt5systeminfo5 (= ${binary:Version}),
+Depends: libqt5publishsubscribe5t64 (= ${binary:Version}),
+         libqt5serviceframework5t64 (= ${binary:Version}),
+         libqt5systeminfo5t64 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
 Description: Qt 5 Systems tools

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

NULL =

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export QT_SELECT := qt5

include /usr/share/dpkg/architecture.mk

CONFIG = tests ofono upower
ifeq ($(DEB_HOST_ARCH_OS),linux)
	CONFIG += udisks
endif

QT_MODULE_VERSION = $(shell cat .qmake.conf | grep MODULE_VERSION | sed -re 's/MODULE_VERSION\s*=\s*([^\s]+)\s*/\1/')

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
	@echo "# Running syncqt.pl (QT_MODULE_VERSION=$(QT_MODULE_VERSION))"
	cd src/systeminfo/ && perl /usr/lib/qt5/bin/syncqt.pl -module QtSystemInfo -version $(QT_MODULE_VERSION) -outdir $(CURDIR) -builddir $(CURDIR) $(CURDIR) && cd - 1>/dev/null
	cd src/publishsubscribe/ && perl /usr/lib/qt5/bin/syncqt.pl -module QtPublishSubscribe -version $(QT_MODULE_VERSION) -outdir $(CURDIR) -builddir $(CURDIR) $(CURDIR) && cd - 1>/dev/null
	cd src/serviceframework/ && perl /usr/lib/qt5/bin/syncqt.pl -module QtServiceFramework -version $(QT_MODULE_VERSION) -outdir $(CURDIR) -builddir $(CURDIR) $(CURDIR) && cd - 1>/dev/null
	dh_auto_configure -- CONFIG+="$(CONFIG)" QT_BUILD_PARTS+=tests

override_dh_auto_install:
	dh_auto_install --no-parallel

	# Fix wrong path in pkgconfig files
	find $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig -type f -name '*.pc' \
	-exec sed -i -e 's/$(DEB_HOST_MULTIARCH)\/$(DEB_HOST_MULTIARCH)/$(DEB_HOST_MULTIARCH)/g' {} \;

	# Remove libtool-like files
	rm -f debian/tmp/usr/lib/*/*.la

	# Remove superfluous qmake .pro file
	rm -f debian/tmp/usr/lib/*/qt5/examples/examples.pro

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir -p $(CURDIR)/debian/test-home/
	env CURDIR=$(CURDIR) \
	    HOME=$(CURDIR)/debian/test-home \
	    XDG_DATA_HOME=$(CURDIR)/debian/test-home/.local/share \
	    LD_LIBRARY_PATH=$(CURDIR)/lib \
	    dbus-test-runner --keep-env --bus-type=both -m 600 -t debian/run-tests.sh
endif

override_dh_clean:
	rm -Rfv $(CURDIR)/debian/test-home/
	dh_clean

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=4
opts="mode=git, repacksuffix=+dfsg, pgpmode=none,  pretty=5.0~git%cd.%h, dversionmangle=s/\+dfsg//g" \
https://code.qt.io/qt/qtsystems.git \
HEAD
